-- =====================================
-- Author      : Txty
-- Create Date : 9/23/2014 12:27:36 AM
-- =====================================
local ADDON_NAME, namespace = ...
-------------------------------------
local DEFAULT_SETTINGS = {
	char = { SetPointx = 0, SetPointy = 0, point = "CENTER", relativePoint = "CENTER", lock = false,
	size = 1.0, color = "Grey", playerName = "", enabled = true, name = 529, bg = "ab", 
	chatType = "none", target = nil, language = nil, col = 1, row = 5, button = nil } 
}
-------------------------------------
BGCallouts = LibStub("AceAddon-3.0"):NewAddon("BGCallouts", "AceConsole-3.0", "AceEvent-3.0" );
-------------------------------------
local iidBG = {30, 529, 1681, 2107, 2177, 1105, 566, 968, 628, 1803, 727, 607, 998, 761, 726, 489}
-------------------------------------
function BGCallouts:OnInitialize()
-- Called when the addon is loaded
	BGCallouts:Print("Loaded")
	BGCallouts = namespace.init(ADDON_NAME)
--	namespace.config = CreateFrame("Frame","ConfigFrame",UIParent)
	namespace.config = CreateFrame("Frame",nil,UIParent)
	namespace.config.db = LibStub('AceDB-3.0'):New("BGCalloutsDB", DEFAULT_SETTINGS)
end
-------------------------------------
--local function setIid(iid)
--	for i=1, #iidBG do
--		if iid == iidBG[i] then
--			namespace.config.db.char.name = iid
--		end
--	end
--end
-------------------------------------
local function func(iid)
--	DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96BGCallouts: |cff00ccffid " .. iid)
	if namespace.config.db.char.enabled and iid == 'pvp' then
		BGCallouts:Show(true)
	else
		BGCallouts:Hide(true)
	end
return end
-------------------------------------
local function enableFrame()
	namespace.config.db.char.enabled = true
	DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96BGCallouts: |cff00ccff" .. "Addon is enabled.")
end
-------------------------------------
-- Slash commands
SLASH_BGC1 = "/BGC" or "/bgc"
SlashCmdList["BGC"] = function (msg)
	if (msg=="show") then
		BGCallouts:Show(true)
		enableFrame()
	else
		DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96BGCallouts: |cff00ccff" .. "Only works with '/bgc show'.")
	end
end
-------------------------------------
function BGCallouts:OnEnable()
	if namespace.config.db.char then
		local z = "UIParent"
		local p, r = namespace.config.db.char.point, namespace.config.db.char.relativePoint
		local x, y = namespace.config.db.char.setPointx, namespace.config.db.char.setPointy
		BGCallouts:SetPoint(p,z,r,x,y)
		BGCallouts:SetSize(namespace.config.db.char.col * 40+18, namespace.config.db.char.row * 40+18)
		BGCallouts:SetScale(namespace.config.db.char.size)
		namespace.config.db.char.playerName = GetUnitName('player', true)
		namespace.classColor(namespace.config.db.char.color)
		namespace.SetChatType(namespace.config.db.char.chatType, namespace.config.db.char.target)
		namespace.myUnLock(BGCallouts)
	end
	enableFrame()
	BGCallouts:Hide(true)
	self:RegisterEvent("ZONE_CHANGED_NEW_AREA")
	func(select(2,GetInstanceInfo()))
	--	DEFAULT_CHAT_FRAME:AddMessage("BGCallouts: " .. namespace.config.db.char.playerName)
end
-------------------------------------
function BGCallouts:OnDisable()
		-- Called when the addon is disabled
end
-------------------------------------
function BGCallouts:ZONE_CHANGED_NEW_AREA()
	func(select(2,GetInstanceInfo()))
end
-- END ------------------------------
